> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quoteversion

> Quote version selector for one Quote. Send QuoteId=&lt;id&gt; in ExtraInfo to specify quote id

## "quoteversion" MDO List

Quote version selector for one Quote. Send QuoteId=\<id> in ExtraInfo to specify quote id

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteVersionProvider">QuoteVersionProvider</see> class.
The name of the MDO list is 'quoteversion'.

## Additional Attributes

| Description                 | Name    | Example Value |
| --------------------------- | ------- | ------------- |
| Required: Quote primary key | QuoteId | 1234          |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quoteversion
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quoteversion", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "quoteversionheadings"
* "quoteversionheadingswithallitem"
* "quoteversionheadingswithallitemwithnoselection"
* "quoteversionheadingswithnoselection"
* "quoteversionwithallitem"
* "quoteversionwithallitemwithnoselection"
* "quoteversionwithnoselection"


## Related topics

- [QuoteVersion table](/en/database/tables/quoteversion.md)
- [SuperOffice.WebApi.Data.QuoteVersion](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteVersion.md)
- [quoteversionstate](/en/api/mdo-providers/reference/quoteversionstate.md)
- [QuoteVersionAttachment](/en/api/archive-providers/reference/quoteversionattachment.md)
- [Enum values for QuoteVersionState](/en/database/tables/enums/quoteversionstate.md)
- [SuperOffice.WebApi.Data.QuoteVersionState](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteVersionState.md)
